"use client";
import HeroHome from "@/sections/HeroHome";
import FeaturesBlocks from "@/sections/FeaturesBlocks";
import FeaturesZigZag from "@/sections/FeaturesZigzag";
import Newsletter from "@/sections/Newsletter/Newsletter";
import HeroVideo from "@/sections/Video";
import Aos from "aos";
import "aos/dist/aos.css";
import { useEffect } from "react";
import React from "react";
import { SourceModal } from "@/types";

export default function Home() {
  useEffect(() => {
    Aos.init({
      delay: 50,
      easing: "ease-out-cubic",
      once: true,
      offset: 50,
    });
  }, []);
  useEffect(() => {
    document
      .getElementById("sign-up-modal")
      ?.setAttribute("name", SourceModal.SignUp);
    document.getElementById("sign-up-modal")?.removeAttribute("price_id");
    document.getElementById("sign-up-modal")?.click();
  }, []);
  return (
    <>
      {/*  Page sections */}
      <HeroHome />
      <HeroVideo />
      <FeaturesBlocks />
      <FeaturesZigZag />
      <Newsletter />
    </>
  );
}
